Subject: Subdividing an existing Repository

From: David A Cobb <[email-masked]>
Date: Mon, 7 Sep 2015 20:29:07 -0400

Several Repositories I'm interested in, e.g. MINGW-PACKAGES@GITHUB, 
contain multiple "products."  Usually, I'm only interested in one or two.
I want to have a local repo with, e.g. iodbc from MinGW-Packages as 
sub-moules.  I don't even need to keep local content for many of the 
other included products.  But, I need to keep synchronized with the 
upstream, so I don't want to destroy the meta-data that allows me to do 
that.

It's not certain at this point that I will ever be invited to push what 
I have done up the food chain.  Maybe it will always be a private fork.

I've looked at Subtrees and Submodules in the ProGit book.  I can see 
how to use an existing submodule, but not how to isolate one out of a 
larger body of code.

TIA